/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.topology.generated;

import static org.junit.Assert.assertTrue;

import java.util.ArrayList;
import java.util.List;

import org.junit.Test;

/**
 * Unit tests about {@link Container}
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ContainerTest {

    /**
     * Check that two instances of {@link Container} can be compared using {@link Object#equals(Object)}
     */
    @Test
    public void testEquals() {
        final List<Container> containers = new ArrayList<Container>();

        final String expectedContainerName = "expectedContainerName";
        final Container container = new Container();
        container.setName(expectedContainerName);
        assertTrue("Unable to add a container to the map", containers.add(container));

        final Container containerToSearch = new Container();
        containerToSearch.setName(expectedContainerName);
        assertTrue("Container not found", containers.contains(containerToSearch));
    }

}
